Package twisted :: Package python :: Module log

[show private | hide private]
[frames | no frames]

## Module twisted.python.log

twisted.log: Logfile and multi-threaded file support.

Classes
`Log` | This will create a Log file (intended to be written to with 'print', but usable from anywhere that a file is) from a file.
`Logger` | This represents a class which may 'own' a log.

Function Summary
| ``startLogging`(file, setStdout)` Initialize logging to a specified file.
| ``write`(stuff)` Write some data to the log.
| ``real_msg`(*stuff)` Write some data to the log (a linebreak will be appended).

Variable Summary
`ThreadedLogOwner` | `logOwner`

Function Details

### real_msg(*stuff)

Write some data to the log (a linebreak will be appended).

### startLogging(file, setStdout=1)

Initialize logging to a specified file.

### write(stuff)

Write some data to the log.

Variable Details

### logOwner

  Type:
    `ThreadedLogOwner`
  Value:

        <twisted.python.log.ThreadedLogOwner instance at 0x85209fc>

Generated by Epydoc 1.1 on Sat Feb 15 21:18:05 2003 | http://epydoc.sf.net